version: "3.2"
services:
  synthereum-faucet:
    build: .
    image: jarvis/synthereum-faucet
    env_file:
      - .env
    network_mode: host
    command: >
      node ./dist/index.js --ethKeystore /run/secrets/key_store_eth --ethPwd /run/secrets/password_eth --erc20Keystore /run/secrets/key_store_erc20 --erc20Pwd /run/secrets/password_erc20
    secrets:
      - key_store_eth
      - password_eth
      - key_store_erc20
      - password_erc20
secrets:
  key_store_eth:
    file: ./hush/keystoreEth.json
  password_eth:
    file: ./hush/keystoreEth.pass
  key_store_erc20:
    file: ./hush/keystoreDai.json
  password_erc20:
    file: ./hush/keystoreDai.pass
